mutation createRecentPayment(
  $workedTime: String
  $status: RecentPaymentStatus
  $staffId: UUID!
  $applicationId: UUID!
  $invoiceId: UUID!
) @auth(level: USER) {
  recentPayment_insert(
    data: {
      workedTime: $workedTime
      status: $status
      staffId: $staffId
      applicationId: $applicationId
      invoiceId: $invoiceId
    }
  )
}

mutation updateRecentPayment(
  $id: UUID!
  $workedTime: String
  $status: RecentPaymentStatus
  $staffId: UUID
  $applicationId: UUID
  $invoiceId: UUID
) @auth(level: USER) {
  recentPayment_update(
    id: $id
    data: {
      workedTime: $workedTime
      status: $status
      staffId: $staffId
      applicationId: $applicationId
      invoiceId: $invoiceId
    }
  )
}

mutation deleteRecentPayment($id: UUID!) @auth(level: USER) {
  recentPayment_delete(id: $id)
}
